summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Ahlberg <aliz@gentoo.org>2004-08-18 22:08:21 +0000
committerDaniel Ahlberg <aliz@gentoo.org>2004-08-18 22:08:21 +0000
commitf3575768b51a984fb58a00a0e279828fd8947747 (patch)
tree9e55c5a50b35c12d016f494d39dae09639a4dd2f /net-firewall/iptables/files
parent (Manifest recommit) (diff)
downloadgentoo-2-f3575768b51a984fb58a00a0e279828fd8947747.tar.gz
gentoo-2-f3575768b51a984fb58a00a0e279828fd8947747.tar.bz2
gentoo-2-f3575768b51a984fb58a00a0e279828fd8947747.zip
Closing #60680 and unmasking
Diffstat (limited to 'net-firewall/iptables/files')
-rw-r--r--net-firewall/iptables/files/ip6tables-1.2.9-r1.confd3
-rw-r--r--net-firewall/iptables/files/ip6tables-1.2.9-r1.init5
-rw-r--r--net-firewall/iptables/files/iptables-1.2.9-r1.confd3
-rw-r--r--net-firewall/iptables/files/iptables-1.2.9-r1.init5
4 files changed, 14 insertions, 2 deletions
diff --git a/net-firewall/iptables/files/ip6tables-1.2.9-r1.confd b/net-firewall/iptables/files/ip6tables-1.2.9-r1.confd
index b5177e9942aa..ef8e61552dd6 100644
--- a/net-firewall/iptables/files/ip6tables-1.2.9-r1.confd
+++ b/net-firewall/iptables/files/ip6tables-1.2.9-r1.confd
@@ -4,3 +4,6 @@ IP6TABLES_SAVE="/var/lib/ip6tables/rules-save"
#Options to pass to iptables-save and iptables-restore
SAVE_RESTORE_OPTIONS="-c"
+
+#Save state on stopping iptables
+SAVE_ON_STOP="yes"
diff --git a/net-firewall/iptables/files/ip6tables-1.2.9-r1.init b/net-firewall/iptables/files/ip6tables-1.2.9-r1.init
index afb4d1e1d5f5..dbf0c94cc19e 100644
--- a/net-firewall/iptables/files/ip6tables-1.2.9-r1.init
+++ b/net-firewall/iptables/files/ip6tables-1.2.9-r1.init
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/ip6tables-1.2.9-r1.init,v 1.2 2004/07/14 23:30:37 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/ip6tables-1.2.9-r1.init,v 1.3 2004/08/18 22:08:21 aliz Exp $
opts="start stop save reload"
@@ -28,6 +28,9 @@ start() {
}
stop() {
+ if [ "${SAVE_ON_STOP}" = "yes" ]; then
+ save || return 1
+ fi
ebegin "Stopping firewall"
for a in `cat /proc/net/ip6_tables_names`; do
ip6tables -F -t $a
diff --git a/net-firewall/iptables/files/iptables-1.2.9-r1.confd b/net-firewall/iptables/files/iptables-1.2.9-r1.confd
index e0e2c7a6137d..a2d070fc48e3 100644
--- a/net-firewall/iptables/files/iptables-1.2.9-r1.confd
+++ b/net-firewall/iptables/files/iptables-1.2.9-r1.confd
@@ -4,3 +4,6 @@ IPTABLES_SAVE="/var/lib/iptables/rules-save"
#Options to pass to iptables-save and iptables-restore
SAVE_RESTORE_OPTIONS="-c"
+
+#Save state on stopping iptables
+SAVE_ON_STOP="yes"
diff --git a/net-firewall/iptables/files/iptables-1.2.9-r1.init b/net-firewall/iptables/files/iptables-1.2.9-r1.init
index 48cfe76dcfc4..80662f176858 100644
--- a/net-firewall/iptables/files/iptables-1.2.9-r1.init
+++ b/net-firewall/iptables/files/iptables-1.2.9-r1.init
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.2.9-r1.init,v 1.2 2004/07/14 23:30:37 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.2.9-r1.init,v 1.3 2004/08/18 22:08:21 aliz Exp $
opts="start stop save reload"
@@ -28,6 +28,9 @@ start() {
}
stop() {
+ if [ "${SAVE_ON_STOP}" = "yes" ]; then
+ save || return 1
+ fi
ebegin "Stopping firewall"
for a in `cat /proc/net/ip_tables_names`; do
/sbin/iptables -F -t $a